Lightroom: SDK 5 should support Lua 5.2

  • 3
  • Idea
  • Updated 5 years ago
Lua 5.1 has been great, but Lua 5.2 is better.

I would love to see the simpler function environments (which extend to called functions, unlike LrFunctionContext.callWithEnvironment, which is dang near useless), and built-in bit-ops would allow decent sha1 support - just ask Jeffrey Friedl about that.

etc...

Thanks for considering.

Rob
Photo of Rob Cole

Rob Cole

  • 4831 Posts
  • 371 Reply Likes

Posted 5 years ago

  • 3
Photo of jdv

jdv, Champion

  • 728 Posts
  • 55 Reply Likes
As someone who works on an enterprise Lua-driven app, it's pretty normal for the app to trail releases by a fair amount.

5.1 is save, well-understood, and stable. Ever has it been so.
Photo of Rob Cole

Rob Cole

  • 4831 Posts
  • 371 Reply Likes
Aren't you defending Adobe a little pre-maturely John? - they haven't even not done it yet ;-}.
Photo of Rob Cole

Rob Cole

  • 4831 Posts
  • 371 Reply Likes
I don't really expect Adobe to upgrade Lua come Lr5, but still: I hope they do...